org.apache.calcite.avatica.remote

## Interface HostnameVerificationConfigurable

All Known Implementing Classes:
  AvaticaCommonsHttpClientImpl

    public interface HostnameVerificationConfigurable

An interface to decorate an `AvaticaHttpClient` that can support configuration on SSL hostname verification.

### Nested Class Summary

Nested Classes
`static class` `HostnameVerificationConfigurable.HostnameVerification` Describes the support hostname verification methods of `AvaticaHttpClient`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setHostnameVerification(HostnameVerificationConfigurable.HostnameVerification verification)` Instructs the `AvaticaHttpClient` how to perform hostname verification for SSL connections.

### Method Detail

#### setHostnameVerification

    void setHostnameVerification(HostnameVerificationConfigurable.HostnameVerification verification)

Instructs the `AvaticaHttpClient` how to perform hostname verification for SSL connections.

Parameters:
  `verification` - The mode of hostname verification